Retrieve an Event's Details
Use this endpoint to retrieve a specific event of a guardrail workflow
status, whether the output needed to be filtered out, the improved_model_output if it needed remediation, and more.The
filtered field is set to true when the event fails one or more metrics on the most recent evaluation and is set to false if all metric evaluations were above their thresholds. If filtered is true, then an improvement attempt will begin immediately after the initial evaluation concludes.The
evaluation_history field is an array of the details for each evaluation performed for the event. It can be used to track the progress of the event and see how DeepRails improved your model output over time.The
analysis_of_failures and key_improvements fields summarize the failings of the model output and the relevant changes of the improvement attempt at each step. These fields are returned for each evaluation, except the final one, and summaries of all of failures and improvements are returned in the analysis_of_failures and key_improvements fields of the event response.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the workflow associated with the event.
The ID of the requested workflow event.
Response
Workflow event details retrieved successfully
Workflow ID associated with the event.
"wkfl_xxxxxxxxxxxx"
A unique workflow event ID.
"evt_xxxxxxxxxxxx"
Status of the event.
In Progress, Completed "Completed"
Type of improvement action used to improve the event.
regen, fixit, do_nothing "fixit"
Type of thresholds used to evaluate the event.
custom, automatic "custom"
Whether the event was filtered and requires improvement.
false
Status of the improvement tool used to improve the event. improvement_required indicates that the evaluation is complete and the improvement action is needed but is not taking place. improved and improvement_failed indicate when the improvement action concludes, successfully and unsuccessfully, respectively. no_improvement_required means that the first evaluation passed all its metrics!
improved, improvement_failed, no_improvement_required, improvement_required "improved"
Improved model output after improvement tool was applied and each metric passed evaluation.
"Mitosis creates haploid gametes for reproduction, while meiosis produces identical diploid cells for growth."
Evaluation result consisting of average scores and rationales for each of the evaluated guardrail metrics.
History of evaluations for the event.
The maximum number of improvement attempts to be applied to one event before it is considered failed.
10
Mapping of guardrail metric names to tolerance values. Values are strings (low, medium, high) representing automatic tolerance levels.
null
Mapping of guardrail metric names to threshold values. Values are floating point numbers (0.0-1.0) representing custom thresholds.
Extended AI capabilities available to the event, if any. Can be web_search, file_search, and/or context_awareness.
List of files available to the event, if any. Will only be present if file_search is enabled.
